Subject: Re: [PATCH net-next 3/8] rtnetlink: do not depend on RTNL for IFLA_TXQLEN output

From: Simon Horman <[email-masked]>
Date: Tue, 7 May 2024 17:32:43 +0100

On Tue, May 07, 2024 at 11:26:10AM +0200, Paolo Abeni wrote:
> On Sun, 2024-05-05 at 15:43 +0100, Simon Horman wrote:
> > On Fri, May 03, 2024 at 07:20:54PM +0000, Eric Dumazet wrote:
> > > rtnl_fill_ifinfo() can read dev->tx_queue_len locklessly,
> > > granted we add corresponding READ_ONCE()/WRITE_ONCE() annotations.
> > > 
> > > Add missing READ_ONCE(dev->tx_queue_len) in teql_enqueue()
> > 
> > Hi Eric,
> > 
> > I am wondering if READ_ONCE(caifd->netdev->tx_queue_len)
> > is also missing from net/caif/caif_dev.c:transmit().
> 
> I agree such read is outside the rtnl lock and could use a READ_ONCE
> annotation. I think it's better to handle that as an eventual follow-up
> instead of blocking this series.

Yes, that is fine by me too.
And I am happy to add it to my TODO list if no one else wants to take it.

Reviewed-by: Simon Horman <[email-masked]>